import 'package:flutter/material.dart';

abstract class TextSizeLimiter {
  static double textScaleFactor(BuildContext context) {
    final mediaQueryData = MediaQuery.of(context);
    final scale = mediaQueryData.textScaleFactor.clamp(1.0, 1.3);
    return scale;
  }
}
