import 'package:flutter/material.dart';

class VerbCard extends StatelessWidget {
  final String infinitive;
  final Widget verbIcon;

  const VerbCard({Key? key, required this.infinitive, required this.verbIcon})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: 5.0,
      child: ListTile(
        title: Text(
          infinitive,
          style: Theme.of(context).textTheme.caption,
        ),
        trailing: verbIcon,
      ),
    );
  }
}
